## rsh-redone 66

=== Makefile ===
BIN = rlogin rsh
SBIN = in.rlogind in.rshd
MAN1 = rlogin.1 rsh.1
MAN5 = rhosts.5
MAN8 = rlogind.8 rshd.8
PAM = pam/rlogin pam/rsh

CC ?= gcc
CFLAGS ?= -Wall -g -O2 -pipe
PREFIX ?= /usr
INSTALL ?= install
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
SHAREDIR ?= $(PREFIX)/share
SYSCONFDIR ?= $(PREFIX)/etc
MANDIR ?= $(SHAREDIR)/man
PAMDIR ?= $(SYSCONFDIR)/pam.d

all: $(BIN) $(SBIN)

rlogin: rlogin.c
	$(CC) $(CFLAGS) -o $@ $<

in.rlogind: rlogind.c
	$(CC) $(CFLAGS) -lutil -lpam -o $@ $<

rsh: rsh.c
	$(CC) $(CFLAGS) -o $@ $<

in.rshd: rshd.c
	$(CC) $(CFLAGS) -lpam -o $@ $<

install: install-bin install-sbin install-man install-pam

install-bin: $(BIN)
	mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 4711 $(BIN) $(DESTDIR)$(BINDIR)/

install-sbin: $(SBIN)
	mkdir -p $(DESTDIR)$(SBINDIR)
	$(INSTALL) rlogind rshd $(DESTDIR)$(SBINDIR)/

install-man: $(MAN1) $(MAN5) $(MAN8)
	mkdir -p $(DESTDIR)$(MANDIR)/man1/
	mkdir -p $(DESTDIR)$(MANDIR)/man5/
	mkdir -p $(DESTDIR)$(MANDIR)/man8/
	$(INSTALL) -m 644 $(MAN1) $(DESTDIR)$(MANDIR)/man1/
	$(INSTALL) -m 644 $(MAN5) $(DESTDIR)$(MANDIR)/man5/
	$(INSTALL) -m 644 $(MAN8) $(DESTDIR)$(MANDIR)/man8/

install-pam: $(PAM)
	mkdir -p $(DESTDIR)$(PAMDIR)
	$(INSTALL) -m 644 $(PAM) $(DESTDIR)$(PAMDIR)/

clean:
	rm -f $(BIN) $(SBIN)

## rsh-redone 78

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 install-sbin: $(SBIN)
 	mkdir -p $(DESTDIR)$(SBINDIR)
-	$(INSTALL) rlogind rshd $(DESTDIR)$(SBINDIR)/
+	$(INSTALL) $(SBIN) $(DESTDIR)$(SBINDIR)/
 
 install-man: $(MAN1) $(MAN5) $(MAN8)
 	mkdir -p $(DESTDIR)$(MANDIR)/man1/

## rsh-redone 85

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
 PAM = pam/rlogin pam/rsh
 
 CC ?= gcc
-CFLAGS ?= -Wall -g -O2 -pipe
 PREFIX ?= /usr
 INSTALL ?= install
 BINDIR ?= $(PREFIX)/bin
@@ -15,6 +14,7 @@
 SYSCONFDIR ?= $(PREFIX)/etc
 MANDIR ?= $(SHAREDIR)/man
 PAMDIR ?= $(SYSCONFDIR)/pam.d
+CFLAGS ?= -Wall -g -O2 -pipe -DBINDIR=\"$(BINDIR)\"
 
 all: $(BIN) $(SBIN)

=== debian/changelog ===
rsh-redone (85-4+kali1) kali-dev; urgency=medium

  * Update Maintainer field
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Make the debian/copyright file machine-readable
  * Add a (dummy) watch file

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 02 Jul 2024 14:14:40 +0700

rsh-redone (85-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update lintian override info format in d/rsh-redone-client.lintian-overrides
    on line 2-3.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 16:12:42 +0000

rsh-redone (85-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * debian/source/format: Use "3.0 (quilt)".
  * debian/rules: Convert to dh system.
  * debian/patches/0003-Use-autotools-buildsystem.patch: Use standard
    autotools for package build.
    + Fix FTCBFS. (Closes: #929587)
  * debian/control: Apply "wrap-and-sort -abst".
  * debian/*.dirs: Dropped, useless with autotools buildsystem.
  * debian/rsh-redone-client.alternatives: Replace custom update-alternatives
    calls in maintscripts.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Oct 2021 23:00:03 -0400

rsh-redone (85-2) unstable; urgency=low

  * Bump Standards-Version.
  * Apply patch from Colin Watson fixing the order in which the libraries are
    linked. Closes: #641408
  * Enable hardening flags.
  * Depend on ${misc:Depends}.
  * Leave read permissions on the setuid binaries.
  * Add lintian overrides for the setuid binaries.

 -- Guus Sliepen <guus@debian.org>  Thu, 21 Feb 2013 12:38:42 +0100

rsh-redone (85-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility level to 7, and use dh_prep instead of
    dh_clean -k.
  * Fix rhosts.5 to ensure proper indexing.

 -- Guus Sliepen <guus@debian.org>  Tue, 05 May 2009 13:21:24 +0200

rsh-redone (83-1) unstable; urgency=low

  * New upstream release.
    - Closes extra fd to stderr socket. Closes: #479804

 -- Guus Sliepen <guus@debian.org>  Wed, 07 May 2008 10:53:34 +0200

rsh-redone (81-2) unstable; urgency=low

  * Use pam_rhosts.so instead of pam_rhosts_auth.so, the latter is buggy.
  * Add missing #include <syslog.h> to rlogind.c.
  * Don't ignore errors in the clean rule.
  * Replace dependency on netbase by openbsd-inetd | inet-superserver.
  * Make rlogin and rsh world readable.

 -- Guus Sliepen <guus@debian.org>  Wed, 29 Aug 2007 14:49:51 +0200

rsh-redone (81-1) unstable; urgency=low

  * New upstream release. Closes: #414146

 -- Guus Sliepen <guus@debian.org>  Sun, 11 Mar 2007 18:48:09 +0100

rsh-redone (80-1) unstable; urgency=low

  * New upstream release. Closes: #363488

 -- Guus Sliepen <guus@debian.org>  Fri, 28 Apr 2006 13:05:30 +0200

rsh-redone (78-1) unstable; urgency=low

  * New upstream release. Closes: #198840, #211301, #262983

 -- Guus Sliepen <guus@debian.org>  Sat, 26 Nov 2005 14:48:35 +0100

rsh-redone (71-1) unstable; urgency=low

  * New upstream release.
  * Fix bashism in postinst script.

 -- Guus Sliepen <guus@debian.org>  Sat,  8 Oct 2005 17:00:24 +0200

rsh-redone (66-1) unstable; urgency=low

  * New upstream release. Closes: #282544

 -- Guus Sliepen <guus@debian.org>  Sat,  5 Feb 2005 11:20:24 +0100

rsh-redone (65-1) unstable; urgency=low

  * New upstream release. Closes: #268075

 -- Guus Sliepen <guus@debian.org>  Wed,  6 Oct 2004 17:28:02 +0200

rsh-redone (64-1) unstable; urgency=low

  * New upstream release. Closes: #257151
  * Bump standards version.

 -- Guus Sliepen <guus@debian.org>  Fri, 20 Aug 2004 12:06:01 +0200

rsh-redone (63-2) unstable; urgency=low

  * Forgot to fix Makefile which installed rshd and rlogind under wrong name.

 -- Guus Sliepen <guus@debian.org>  Wed,  2 Jul 2003 14:20:53 +0200

rsh-redone (63-1) unstable; urgency=low

  * New upstream release.
  * Fixes verbosity as mentioned in #198840.

 -- Guus Sliepen <guus@debian.org>  Tue,  1 Jul 2003 19:34:41 +0200

rsh-redone (51-2) unstable; urgency=low

  * Properly named manpages.
  * Recommend rsh-client for now, which provides rcp.
  * Initial upload. Closes: #192416

 -- Guus Sliepen <guus@debian.org>  Fri,  9 May 2003 12:33:06 +0200

rsh-redone (51-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed,  7 May 2003 16:22:39 +0200

rsh-redone (39-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Thu, 13 Mar 2003 21:50:05 +0100

rsh-redone (36-1) unstable; urgency=low

  * Initial Release.

 -- Guus Sliepen <guus@debian.org>  Thu, 13 Mar 2003 16:34:43 +0100

=== debian/control ===
Source: rsh-redone
Section: net
Priority: optional
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Maintainer: Kali Developers <devel@kali.org>
Build-Depends:
 debhelper-compat (= 13),
 libpam0g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/gsliepen/rsh-redone
XS-Debian-Vcs-Git: https://salsa.debian.org/debian/rsh-redone.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/rsh-redone
Vcs-Git: https://gitlab.com/kalilinux/packages/rsh-redone.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/rsh-redone

Package: rsh-redone-client
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 rsh-client,
Description: Reimplementation of rsh and rlogin
 Rsh-redone is a reimplementation of the remote shell clients and servers.
 It is written from the ground up to avoid the bugs found in the standard
 clients and servers. It also fully supports IPv6.
 .
 This package provides rsh and rlogin.

Package: rsh-redone-server
Architecture: any
Depends:
 openbsd-inetd | inet-superserver,
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 rsh-server,
Conflicts:
 rsh-server,
Provides:
 rsh-server,
Description: Reimplementation of rshd and rlogind
 Rsh-redone is a reimplementation of the remote shell clients and servers.
 It is written from the ground up to avoid the bugs found in the standard
 clients and servers. It also fully supports IPv6.
 .
 This package provides rshd and rlogind.

=== debian/watch ===
# rsh-redone is dead upstream, and there was never any tag or release, so this
# watch file is completely useless.
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/gsliepen/rsh-redone/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
